package com.chenyang.nse.bussiness.entity.orm.table.core.maskingself;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_MASKINGSELF_FILECOLUMN"
)
public class TCoreMaskingselfFilecolumn extends TBaseEntity {
   private String fileid;
   private String mappingkey;
   private String ruleid;
   private int columnindex;
   private String columnname;
   private String columntype;
   private String columnaccuracy;
   private String columndecimal;
   private String columnwidth;
   private String columnformat;
   private String columnnotnull;
   private String keytype;

   public TCoreMaskingselfFilecolumn() {
   }

   public TCoreMaskingselfFilecolumn(String fileid, String mappingkey, String ruleid, int columnindex, String columnname, String columntype, String columnaccuracy, String columndecimal, String columnwidth, String columnformat, String columnnotnull, String keytype) {
      this.fileid = fileid;
      this.mappingkey = mappingkey;
      this.ruleid = ruleid;
      this.columnindex = columnindex;
      this.columnname = columnname;
      this.columntype = columntype;
      this.columnaccuracy = columnaccuracy;
      this.columndecimal = columndecimal;
      this.columnwidth = columnwidth;
      this.columnformat = columnformat;
      this.columnnotnull = columnnotnull;
      this.keytype = keytype;
   }

   public String getFileid() {
      return this.fileid;
   }

   public void setFileid(String fileid) {
      this.fileid = fileid;
   }

   public String getMappingkey() {
      return this.mappingkey;
   }

   public void setMappingkey(String mappingkey) {
      this.mappingkey = mappingkey;
   }

   public String getRuleid() {
      return this.ruleid;
   }

   public void setRuleid(String ruleid) {
      this.ruleid = ruleid;
   }

   public int getColumnindex() {
      return this.columnindex;
   }

   public void setColumnindex(int columnindex) {
      this.columnindex = columnindex;
   }

   public String getColumnname() {
      return this.columnname;
   }

   public void setColumnname(String columnname) {
      this.columnname = columnname;
   }

   public String getColumntype() {
      return this.columntype;
   }

   public void setColumntype(String columntype) {
      this.columntype = columntype;
   }

   public String getColumnaccuracy() {
      return this.columnaccuracy;
   }

   public void setColumnaccuracy(String columnaccuracy) {
      this.columnaccuracy = columnaccuracy;
   }

   public String getColumndecimal() {
      return this.columndecimal;
   }

   public void setColumndecimal(String columndecimal) {
      this.columndecimal = columndecimal;
   }

   public String getColumnwidth() {
      return this.columnwidth;
   }

   public void setColumnwidth(String columnwidth) {
      this.columnwidth = columnwidth;
   }

   public String getColumnformat() {
      return this.columnformat;
   }

   public void setColumnformat(String columnformat) {
      this.columnformat = columnformat;
   }

   public String getColumnnotnull() {
      return this.columnnotnull;
   }

   public void setColumnnotnull(String columnnotnull) {
      this.columnnotnull = columnnotnull;
   }

   public String getKeytype() {
      return this.keytype;
   }

   public void setKeytype(String keytype) {
      this.keytype = keytype;
   }

   public String toString() {
      return "TCoreMaskingselfFilecolumn [fileid=" + this.fileid + ", mappingkey=" + this.mappingkey + ", ruleid=" + this.ruleid + ", columnindex=" + this.columnindex + ", columnname=" + this.columnname + ", columntype=" + this.columntype + ", columnaccuracy=" + this.columnaccuracy + ", columndecimal=" + this.columndecimal + ", columnwidth=" + this.columnwidth + ", columnformat=" + this.columnformat + ", columnnotnull=" + this.columnnotnull + ", keytype=" + this.keytype + "]";
   }

   public int hashCode() {
      int prime = 31;
      int result = 1;
      result = 31 * result + (this.columnaccuracy == null ? 0 : this.columnaccuracy.hashCode());
      result = 31 * result + (this.columndecimal == null ? 0 : this.columndecimal.hashCode());
      result = 31 * result + (this.columnformat == null ? 0 : this.columnformat.hashCode());
      result = 31 * result + this.columnindex;
      result = 31 * result + (this.columnname == null ? 0 : this.columnname.hashCode());
      result = 31 * result + (this.columnnotnull == null ? 0 : this.columnnotnull.hashCode());
      result = 31 * result + (this.columntype == null ? 0 : this.columntype.hashCode());
      result = 31 * result + (this.columnwidth == null ? 0 : this.columnwidth.hashCode());
      result = 31 * result + (this.fileid == null ? 0 : this.fileid.hashCode());
      result = 31 * result + (this.keytype == null ? 0 : this.keytype.hashCode());
      result = 31 * result + (this.mappingkey == null ? 0 : this.mappingkey.hashCode());
      result = 31 * result + (this.ruleid == null ? 0 : this.ruleid.hashCode());
      return result;
   }

   public boolean equals(Object obj) {
      if (this == obj) {
         return true;
      } else if (obj == null) {
         return false;
      } else if (this.getClass() != obj.getClass()) {
         return false;
      } else {
         TCoreMaskingselfFilecolumn other = (TCoreMaskingselfFilecolumn)obj;
         if (this.columnaccuracy == null) {
            if (other.columnaccuracy != null) {
               return false;
            }
         } else if (!this.columnaccuracy.equals(other.columnaccuracy)) {
            return false;
         }

         if (this.columndecimal == null) {
            if (other.columndecimal != null) {
               return false;
            }
         } else if (!this.columndecimal.equals(other.columndecimal)) {
            return false;
         }

         if (this.columnformat == null) {
            if (other.columnformat != null) {
               return false;
            }
         } else if (!this.columnformat.equals(other.columnformat)) {
            return false;
         }

         if (this.columnindex != other.columnindex) {
            return false;
         } else {
            if (this.columnname == null) {
               if (other.columnname != null) {
                  return false;
               }
            } else if (!this.columnname.equals(other.columnname)) {
               return false;
            }

            if (this.columnnotnull == null) {
               if (other.columnnotnull != null) {
                  return false;
               }
            } else if (!this.columnnotnull.equals(other.columnnotnull)) {
               return false;
            }

            if (this.columntype == null) {
               if (other.columntype != null) {
                  return false;
               }
            } else if (!this.columntype.equals(other.columntype)) {
               return false;
            }

            if (this.columnwidth == null) {
               if (other.columnwidth != null) {
                  return false;
               }
            } else if (!this.columnwidth.equals(other.columnwidth)) {
               return false;
            }

            if (this.fileid == null) {
               if (other.fileid != null) {
                  return false;
               }
            } else if (!this.fileid.equals(other.fileid)) {
               return false;
            }

            if (this.keytype == null) {
               if (other.keytype != null) {
                  return false;
               }
            } else if (!this.keytype.equals(other.keytype)) {
               return false;
            }

            if (this.mappingkey == null) {
               if (other.mappingkey != null) {
                  return false;
               }
            } else if (!this.mappingkey.equals(other.mappingkey)) {
               return false;
            }

            if (this.ruleid == null) {
               if (other.ruleid != null) {
                  return false;
               }
            } else if (!this.ruleid.equals(other.ruleid)) {
               return false;
            }

            return true;
         }
      }
   }
}
